Process transaction from terminal

Initiates a transaction through a terminal through the Nexio API rather than using the retail iframe. For more information on how to use this endpoint, see the steps in Processing a transaction with a terminal in Guides.

You can also specify to save the card token from the terminal transaction so that you can use it for future transactions (through the Run card transaction endpoint).

Try It

To use the Try It feature for this endpoint, you must use the credentials for your Sandbox API user.

You must also have a terminal connected to the Nexio account. For more information, see the Pair terminal or Register terminal endpoints.

Request parameters

  • data
  • data.amount
  • data.currency
  • data.customFields
  • data.customer
  • data.customer.customerRef
  • data.customer.orderNumber
  • data.customer.orderDate
  • data.customer.invoice
  • data.customer.firstName
  • data.customer.lastName
  • data.customer.birthDate
  • data.customer.nationalIdentificationNumber
  • data.customer.email
  • data.customer.phone
  • data.customer.billToAddressOne
  • data.customer.billToAddressTwo
  • data.customer.billToCity
  • data.customer.billToState
  • data.customer.billToPostal
  • data.customer.billToCountry
  • data.customer.billToPhone
  • data.customer.shipToAddressOne
  • data.customer.shipToAddressTwo
  • data.customer.shipToCity
  • data.customer.shipToState
  • data.customer.shipToPostal
  • data.customer.shipToCountry
  • data.customer.shipToPhone
  • data.description
  • data.lodging
  • data.lodging.advanceDeposit
  • data.lodging.checkInDate
  • data.lodging.checkOutDate
  • data.lodging.noShow
  • data.lodging.roomNumber
  • data.lodging.roomRate
  • terminalId
  • processingOptions.saveCardToken
  • isAuthOnly
  • card
  • card.cardHolderName

Response parameters

  • terminalRequestId
  • terminalRequestStatus
Body Params
string
required

An ID used to identify a specific terminal. For a list of terminal IDs, see the View terminal list endpoint.

data
object
required

Transaction and customer data.

card
object

Card information.

boolean
Defaults to false

Set to true to run an auth only transaction for the terminal.

string

Specifies the IP address of where the request is coming from.

processingOptions
object

Processing options for terminal transactions.

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json